Skip to content
Skip to main content
DELETE
/v3/scheduling/bookings/{booking_id}

Delete a booking

Deletes the specified booking. Nylas also cancels the associated event on the provider.

Nylas validates the provided session ID and uses it to retrieve the related Configuration object. If you created a public Configuration, you don't need to include the Authorization request header with a session ID, but you do need to pass the Configuration object ID as a query parameter.

SCHEDULER SESSION TOKEN

Parameters

Path parameters

booking_id*string

The ID of the booking object to access.

Query parameters

configuration_idstring

The ID of the Configuration object used for calculating availability. If you're using session authentication (requires_session_auth: true), the configuration_id isn't required.

slugstring

The Configuration object slug. You can use this with the client_id instead of using the configuration_id. If you're using session authentication (requires_session_auth: true) or using the configuration_id, slug isn't required.

client_idstring

The client ID that was used to create the Configuration object. Required only if you're using slug.

Request body

cancellation_reasonstring

The reason that the booking is being cancelled.

Responses

request_id*string

ID of the request.

Example: "5967ca40-a2d8-4ee0-a0e0-6f18ace39a90"
DELETEhttps://api.us.nylas.com/v3/scheduling/bookings/{booking_id}

Paste the authorization token required for this endpoint.

booking_idrequiredstring

The ID of the booking object to access.

configuration_idstring

The ID of the Configuration object used for calculating availability. If you're using session authentication (requires_session_auth: true), the configuration_id isn't required.

slugstring

The Configuration object slug. You can use this with the client_id instead of using the configuration_id. If you're using session authentication (requires_session_auth: true) or using the configuration_id, slug isn't required.

client_idstring

The client ID that was used to create the Configuration object. Required only if you're using slug.

Loading editor...

Autocomplete and validation come from this endpoint's request schema.